---
- name: Add gitlab chart repo
  kubernetes.core.helm_repository:
    name: gitlab
    repo_url: "http://charts.gitlab.io/"
    kubeconfig: "/etc/rancher/k3s/k3s.yaml"

- name: Deploy GitLab Runner
  kubernetes.core.helm:
    name: gitlab-runner
    chart_ref: gitlab/gitlab-runner
    release_namespace: devops
    create_namespace: true
    chart_version: 0.66.0
    kubeconfig: "/etc/rancher/k3s/k3s.yaml"
    values:
      gitlabUrl: "{{ gitlab_runner.gitlabUrl }}"
      rbac:
        create: "{{ gitlab_runner.rbac.create }}"
        clusterWideAccess: "{{ gitlab_runner.rbac.clusterWideAccess }}"
        rules:
          - apiGroups: "{{ gitlab_runner.rbac.rules.apiGroups }}"
      runners:
        config: "{{ gitlab_runner.runners.config }}"
      runnerToken: "{{ gitlab_runner.runnerToken }}"